Bug 730917 (CVE-2011-2942) - CVE-2011-2942 kernel: bridge: null pointer dereference in __br_deliver
Summary: CVE-2011-2942 kernel: bridge: null pointer dereference in __br_deliver
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2942
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 703045 730756 730949 730950 748679
Blocks: 730794
TreeView+ depends on / blocked
 
Reported: 2011-08-16 08:50 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:46 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-10 08:17:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC
Red Hat Product Errata RHSA-2011:1408 normal SHIPPED_LIVE Moderate: rhev-hypervisor security update 2011-10-26 15:32:36 UTC

Description Eugene Teo (Security Response) 2011-08-16 08:50:57 UTC
In the br_forward_finish() function, we may call kfree() on the skb we are forwarding, and so, after it, we should not dereference skb->dev pointer. With the fix, we save skb->dev before calling the br_forward_finish() function, so that we can use it afterwards.

Comment 4 Eugene Teo (Security Response) 2011-09-20 07:04:03 UTC
Statement:

This issue did not affect the Linux kernel as shipped with Red Hat Enterprise Linux 4, 6, and Red Hat Enterprise MRG. This has been addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2011-1386.html.

Comment 6 errata-xmlrpc 2011-10-20 17:29:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1386 https://rhn.redhat.com/errata/RHSA-2011-1386.html

Comment 7 Eugene Teo (Security Response) 2011-10-25 03:52:27 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748679]

Comment 8 errata-xmlrpc 2011-10-26 15:32:46 UTC
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2011:1408 https://rhn.redhat.com/errata/RHSA-2011-1408.html


Note You need to log in before you can comment on or make changes to this bug.